# Interface IPackageVisibilityInfo

public interface IPackageVisibilityInfo
Description of an exports/opens info as described in the JVM specifications 4.7.25

Since:
  3.14
Restriction:
  This interface is not intended to be implemented by clients.

## Method Summary

Modifier and Type
Method
Description
`int`
`getFlags()`
Answer back the exports/opens flags.
`int`
`getIndex()`
Answer back the exports/opens index.
`char[]`
`getPackageName()`
Answer back the exports/opens package.
`int[]`
`getTargetModuleIndices()`
Answer back the array of target module indices.
`char[][]`
`getTargetModuleNames()`
Answer back the array of target module names.
`int`
`getTargetsCount()`
Answer back the number of targets, zero if none.

## Method Details

### getIndex

int getIndex()
Answer back the exports/opens index.

Returns:
  the exports/opens index

### getPackageName

char[] getPackageName()
Answer back the exports/opens package.

Returns:
  the exports/opens package

### getFlags

int getFlags()
Answer back the exports/opens flags.

Returns:
  the exports/opens flags

### getTargetsCount

int getTargetsCount()
Answer back the number of targets, zero if none.

Returns:
  the number of targets, zero if none.

### getTargetModuleIndices

int[] getTargetModuleIndices()
Answer back the array of target module indices.

Returns:
  the array of target module indices.

### getTargetModuleNames

char[][] getTargetModuleNames()
Answer back the array of target module names.

Returns:
  the array of target module names.